package com.muyu.remote;

import com.muyu.common.core.domain.Result;
import com.muyu.domain.Source;
import com.muyu.remote.factory.SourceFactory;
import org.springframework.cloud.openfeign.EnableFeignClients;
import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.PathVariable;


@EnableFeignClients
@FeignClient(value = "cloud-source",fallbackFactory = SourceFactory.class )
public interface SourceRemote {
    @GetMapping("/source/findSourceById/{id}")
    public Result<Source> findSourceById(@PathVariable("id") Long id);
}
