package com.muyu.remote.factory;

import com.muyu.common.core.domain.Result;
import com.muyu.domain.Source;
import com.muyu.remote.SourceRemote;
import org.springframework.cloud.openfeign.FallbackFactory;
import org.springframework.stereotype.Component;

@Component
public class SourceFactory implements FallbackFactory<SourceRemote> {
    @Override
    public SourceRemote create(Throwable cause) {
        return new SourceRemote() {
            @Override
            public Result<Source> findSourceById(Long id) {
                return null;
            }
        };
    }
}
